dropTime <-
function(patTab, p) {
  omegaStudy <- rnorm(1, 0, p['sdStudy'])
  age <- patTab$Age
  bmmse <- patTab$Bmmse
  lambda <- exp(p['beta0'] + p['betaAge'] * (age - 75) + p['betaBmmse'] * (bmmse - 21) + omegaStudy)
  a <- p['v']
  b <- lambda^(-1/a)
  dropT <- rweibull(nrow(patTab), a, b)
  dropT
}

